apiVersion: cert-manager.io/v1
{% if issuer_cluster_scoped | default(False) %}
kind: ClusterIssuer
metadata:
  name: {{ sign_with_secret | default('selfsigned') }}
{% else %}
kind: Issuer
metadata:
  name: {{ sign_with_secret | default('selfsigned') }}
  namespace: {{ namespace }}
{% endif %}
spec:
{% if sign_with_secret | default(False) %}
  ca:
    secretName: {{ sign_with_secret }}
{% else %}
  selfSigned: {}
{% endif %}
